Bug 623516 - LFTP does not work with HTTP anymore.
LFTP does not work with HTTP anymore.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lftp (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Skala
BaseOS QE - Apps
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 22:07 EDT by Stephen John Smoogen
Modified: 2014-11-09 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 14:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2010-08-11 22:07:43 EDT
Description of problem:

lftp does not work with HTTP sites

Version-Release number of selected component (if applicable):
$ rpm -q lftp
lftp-4.0.9-1.el6.x86_64


How reproducible:

100% with current Red Hat Beta

Under RHEL-5 and F-12 I get the following:

$ lftp http://downloads.asterisk.org/pub/telephony/sounds/releases/
cd ok, cwd=/pub/telephony/sounds/releases                                          
lftp downloads.asterisk.org:/pub/telephony/sounds/releases> 

Under EL-6 current I am getting the following:

lftp http://downloads.asterisk.org/pub/telephony/sounds/releases/
cd: Success
[smooge@xanadu]$

Problem occurs in RHEL-6Beta2 and current.

Trying to get a single file with HTTP also just says cd: Success and then exits without downloading file.
Comment 2 RHEL Product and Program Management 2010-08-11 22:38:28 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Jiri Skala 2010-08-12 02:53:33 EDT
I've tested it with the same version of lftp and it worked fine.

- Try to watch /var/log/messages if there is suspected message.
- What about networking difficulties? (systems on the same network branch, firewall, ...) Do other ftp clients work on this RHEL6 fine?
- Try to reinstall lftp.
Comment 5 Stephen John Smoogen 2010-08-12 14:53:57 EDT
No messages in /var/log/messages
No problems with network (wget worked etc)

Problem went away after reinstall of package.

Note You need to log in before you can comment on or make changes to this bug.